org.apache.lucene.ant

## Class DocumentHandlerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.lucene.ant.DocumentHandlerException

- All Implemented Interfaces:
    java.io.Serializable

      public class DocumentHandlerException
      extends java.lang.Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentHandlerException()` Default constructor.
    `DocumentHandlerException(java.lang.String message)` Constructs with message.
    `DocumentHandlerException(java.lang.Throwable cause)` Constructs with chained exception.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Throwable` | `getException()` Retrieves nested exception.
    `void` | `printStackTrace()`
    `void` | `printStackTrace(java.io.PrintStream ps)`
    `void` | `printStackTrace(java.io.PrintWriter pw)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentHandlerException

          public DocumentHandlerException()

      Default constructor.

    - #### DocumentHandlerException

          public DocumentHandlerException(java.lang.String message)

      Constructs with message.

    - #### DocumentHandlerException

          public DocumentHandlerException(java.lang.Throwable cause)

      Constructs with chained exception.

  - ### Method Detail

    - #### getException

          public java.lang.Throwable getException()

      Retrieves nested exception.

    - #### printStackTrace

          public void printStackTrace()

      Overrides:
        `printStackTrace` in class `java.lang.Throwable`

    - #### printStackTrace

          public void printStackTrace(java.io.PrintStream ps)

      Overrides:
        `printStackTrace` in class `java.lang.Throwable`

    - #### printStackTrace

          public void printStackTrace(java.io.PrintWriter pw)

      Overrides:
        `printStackTrace` in class `java.lang.Throwable`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.